POST api/order/{id}/update
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
OrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ShortUnique | string |
None. |
|
| Id | globally unique identifier |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| PersonName | string |
None. |
|
| Products | Collection of EntityDto |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| CampaignName | string |
None. |
|
| Updated | date |
None. |
|
| Status | integer |
None. |
|
| StatusName | string |
None. |
|
| OrderLines | Collection of OrderLineDto |
None. |
|
| Postage | PriceDto |
None. |
|
| Price | PriceDto |
None. |
|
| Created | date |
None. |
|
| Recurring | boolean |
None. |
|
| FullfillmentCompany | string |
None. |
|
| FulfillmentId | string |
None. |
|
| PaymentId | string |
None. |
|
| PaymentCompany | string |
None. |
|
| Comment | string |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentCompanySubscriptionId | string |
None. |
|
| StatusDto | StatusDto |
None. |
|
| CampaignCode | string |
None. |
|
| Campaign | EntityDto |
None. |
|
| FromCart | globally unique identifier |
None. |
|
| IsExternalOrder | boolean |
None. |
|
| FulfillmentDate | date |
None. |
|
| FulfillmentDeliveryDate | date |
None. |
|
| CaptureDate | date |
None. |
|
| PaidDate | date |
None. |
|
| Shop | EntityDto |
None. |
|
| FulfillmentStatus | string |
None. |
|
| FulfillmentPurchaseOrderId | string |
None. |
|
| PaymentStatus | string |
None. |
|
| PaymentMethod | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"shortUnique": "sample string 1",
"id": "c1da4417-e8f4-4c10-b3e3-656ad2c186c5",
"personId": "a47ef217-1c8a-4208-9af5-3ca81af1f39e",
"personName": "sample string 3",
"products": [
{
"id": "1e11695f-5a13-4fa9-b4e7-9fc6f75a65f0",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "1e11695f-5a13-4fa9-b4e7-9fc6f75a65f0",
"name": "sample string 2",
"type": "sample string 3"
}
],
"campaignId": "380df808-4d08-4cd8-8441-a86e41603a98",
"campaignName": "sample string 4",
"updated": "2026-09-08T06:17:07.6928454+02:00",
"status": 6,
"statusName": "sample string 7",
"orderLines": [
{
"id": "78dc0ee8-c414-4922-a24c-2d5829fbf5ee",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "f01e6547-6556-4127-b179-1066e91e8e3b",
"amount": 1.0,
"currency": "sample string 2",
"productId": "75944549-89f7-4b0b-858e-bc2eb29cd7c9",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-09-08T06:17:07.6928454+02:00",
"created": "2026-09-08T06:17:07.6928454+02:00",
"campaignName": "sample string 6",
"campaignId": "f38c485f-0211-4ff6-8cac-cccfe9ef5bf4",
"productName": "sample string 7",
"productId": "b6f5319d-7400-4c62-a67b-ad6fb44ea755",
"recurring": true
},
{
"id": "78dc0ee8-c414-4922-a24c-2d5829fbf5ee",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "f01e6547-6556-4127-b179-1066e91e8e3b",
"amount": 1.0,
"currency": "sample string 2",
"productId": "75944549-89f7-4b0b-858e-bc2eb29cd7c9",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-09-08T06:17:07.6928454+02:00",
"created": "2026-09-08T06:17:07.6928454+02:00",
"campaignName": "sample string 6",
"campaignId": "f38c485f-0211-4ff6-8cac-cccfe9ef5bf4",
"productName": "sample string 7",
"productId": "b6f5319d-7400-4c62-a67b-ad6fb44ea755",
"recurring": true
}
],
"postage": {
"id": "f01e6547-6556-4127-b179-1066e91e8e3b",
"amount": 1.0,
"currency": "sample string 2",
"productId": "75944549-89f7-4b0b-858e-bc2eb29cd7c9",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"price": {
"id": "f01e6547-6556-4127-b179-1066e91e8e3b",
"amount": 1.0,
"currency": "sample string 2",
"productId": "75944549-89f7-4b0b-858e-bc2eb29cd7c9",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"created": "2026-09-08T06:17:07.6928454+02:00",
"recurring": true,
"fullfillmentCompany": "sample string 10",
"fulfillmentId": "sample string 11",
"paymentId": "sample string 12",
"paymentCompany": "sample string 13",
"comment": "sample string 14",
"deliveryMethod": "sample string 15",
"paymentCompanySubscriptionId": "sample string 16",
"statusDto": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"campaignCode": "sample string 17",
"campaign": {
"id": "1e11695f-5a13-4fa9-b4e7-9fc6f75a65f0",
"name": "sample string 2",
"type": "sample string 3"
},
"fromCart": "ca359fa1-9912-4beb-896a-ac3ab5a7d403",
"isExternalOrder": true,
"fulfillmentDate": "2026-09-08T06:17:07.6928454+02:00",
"fulfillmentDeliveryDate": "2026-09-08T06:17:07.6928454+02:00",
"captureDate": "2026-09-08T06:17:07.6928454+02:00",
"paidDate": "2026-09-08T06:17:07.6928454+02:00",
"shop": {
"id": "1e11695f-5a13-4fa9-b4e7-9fc6f75a65f0",
"name": "sample string 2",
"type": "sample string 3"
},
"fulfillmentStatus": "sample string 18",
"fulfillmentPurchaseOrderId": "sample string 19",
"paymentStatus": "sample string 20",
"paymentMethod": "sample string 21"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.